> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Deactivate Policy

> Deactivate a policy by ID.



## OpenAPI

````yaml /api-reference/openapi.json delete /policies/{policy_id}
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: >-
    API for interacting with Corgea's scanning and vulnerability management
    features
servers:
  - url: https://www.corgea.app/api/v1
    description: Production server
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /policies/{policy_id}:
    delete:
      tags:
        - Policies
      summary: Deactivate Policy
      description: Deactivate a policy by ID.
      operationId: deactivatePolicy
      parameters:
        - $ref: '#/components/parameters/PolicyId'
      responses:
        '200':
          description: Policy deactivated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ok
                  policy:
                    $ref: '#/components/schemas/Policy'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    PolicyId:
      name: policy_id
      in: path
      required: true
      schema:
        type: integer
      description: The ID of the policy
  schemas:
    Policy:
      type: object
      properties:
        id:
          type: integer
        policy_type:
          type: string
          enum:
            - BLAST
            - scan
            - false_positive
            - fix
        description:
          type: string
        cwes:
          type: array
          nullable: true
          items:
            type: string
        excludes:
          type: array
          nullable: true
          items:
            type: string
        projects:
          type: array
          nullable: true
          items:
            type: string
          description: >-
            Project names that scope the policy. Empty or null means
            company-wide.
        company:
          type: integer
        active:
          type: boolean
        approved:
          type: boolean
        approved_by:
          type: integer
          nullable: true
        created_at:
          type: string
          format: date-time
        glob_pattern:
          type: string
          nullable: true
        source_type:
          type: string
          example: Web
        repo_policy_file:
          type: integer
          nullable: true
        name:
          type: string
        guidance_text:
          type: string
          nullable: true
        version:
          type: integer
        archived:
          type: boolean
        parent_policy:
          type: integer
          nullable: true
        instruction_type:
          type: string
          enum:
            - overwrite
            - append
        read_only:
          type: boolean
        created_by_corgea:
          type: boolean
  responses:
    Unauthorized:
      description: Invalid or missing token
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Missing or invalid authorization header
    Forbidden:
      description: Permission denied or feature unavailable
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Permission denied
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Policy not found
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: API key for authentication
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: OAuth2 access token (JWT) in the Authorization header

````